Subject: [Sip] Review of draft-ietf-sip-session-policy-framework-01

From: "Even, Roni" <[email-masked]>
Date: Mon, 28 May 2007 10:58:29 +0300

Hi,

The draft is basically ready for publication but I would like to see some clarifications in it.

1. The draft explains describes two mechanisms the session independent and the session dependent policies. I did not see what the relationship between them if any is. I think that at least the draft should say that they can be implemented independently if there are no other recommendations.

2. Section 3.2 describes how a UA discovers the policy servers for session independent policies based on the configuration framework ua-profile. 

"ua-profile" event package [4] provides a mechanism to discover
   policy servers in the local network and the home domain.  The "local-
   network" profile-type enables a UA to discover a policy server in the
   local domain.  The "user" profile type enables the discovery of a
   policy server in the home domain.  A UA compliant to this
   specification SHOULD attempt to discover and subscribe to the policy
   servers in these two domains"

The configuration framework does not specify the profile data which is out of scope.
So what is the meaning of this section - is this one way to find the policy server or do you suggest that if you want to have session independent policies you should have the policy servers defined in the profile data but then how does a UA identify it in the profile data, is it by name?

I think this needs more clarification.

3. In section 4.2
" Endpoints set up a separate policy channel to each policy
   server and can specifically decide which information they want to
   disclose to which policy server"
How does this work with the trust model between the UA and the proxy. The UA claimed that it got the policy from the proxy but from this sentence you can assume that the UA got the policy only to what it asked. I think that the UA need to include in document sent to the proxy all the information it can map from SDP.  

4. In section 4.4.2 what will be the proxy behavior if it sends the Invite with the policy server URI to an endpoint who do not support session policy. The EP can ignore the request and respond 200 that will not include the support for the session policy. What will the proxy do or is it left to local implementation.

5. In section 4.4.6 in the note

" If, however, a policy server cannot respond with
      a policy right away, it may return a policy that temporarily
      denies the session and update this policy as the actual policy
      decision becomes available"

I am not sure how does that work, what will the UA do in this case. Will it continue with the call without any media sessions?

Typo

In section 4.4.3 third line should be field and not filed 

Roni Even

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip